# Copyright (C) 2013-2016 Freescale Semiconductor
# Copyright 2017 NXP
# Copyright 2018-2019 Embedian, Inc.
# Released under the MIT license (see COPYING.MIT for the terms)

SUMMARY = "Linux kernel provided and supported by Embedian"
DESCRIPTION = "Linux kernel provided and supported by Embedian (based on the kernel imx_4.14.98_2.0.0_ga provided by NXP) \
with focus on i.MX Family SOMs. It includes support for many IPs such as GPU, VPU and IPU."

require recipes-kernel/linux/linux-imx.inc

DEPENDS += "lzop-native bc-native"

DEFAULT_PREFERENCE = "1"

SRCBRANCH = "smarc-imx6_4.14.98_2.0.0_ga"

LOCALVERSION = "-${SRCBRANCH}"
KERNEL_DEFCONFIG = "${S}/arch/arm/configs/smarcfimx6_defconfig"

KERNEL_SRC ?= "git@git.embedian.com:developer/smarc-fsl-linux-kernel.git;protocol=git"
SRC_URI = "${EMB_KERNEL_MIRROR};protocol=ssh;branch=${SRCBRANCH}"
SRCREV = "77a16812a89406478fd7b49d2d8650d48afdbb02"

S = "${WORKDIR}/git"

addtask copy_defconfig after do_unpack before do_preconfigure
do_copy_defconfig () {
    install -d ${B}
        mkdir -p ${B}
        cp ${KERNEL_DEFCONFIG} ${B}/.config
        cp ${KERNEL_DEFCONFIG} ${B}/../defconfig
}

pkg_postinst_kernel-devicetree_append_mx8 () {
    cd $D/boot
    ln -s ${DEFAULT_DTB}.dtb ${UBOOT_DTB_NAME}
}

COMPATIBLE_MACHINE = "(mx6|mx7|mx8)"
